libfreehand Namespace Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
libfreehand Namespace Reference

## Classes
class | EndOfStreamException
class | FHArcToElement
class | FHCollector
class | FHCubicBezierToElement
class | FHInternalStream
class | FHLineToElement
class | FHMoveToElement
struct | FHPageInfo
class | FHParser
class | FHPath
class | FHPathElement
class | FHQuadraticBezierToElement
class | FHTransform
class | GenericException

## Functions
uint8_t | readU8 (librevenge::RVNGInputStream *input)
uint16_t | readU16 (librevenge::RVNGInputStream *input)
uint32_t | readU32 (librevenge::RVNGInputStream *input)
int8_t | readS8 (librevenge::RVNGInputStream *input)
int16_t | readS16 (librevenge::RVNGInputStream *input)
int32_t | readS32 (librevenge::RVNGInputStream *input)

## Function Documentation

int16_t libfreehand::readS16 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by libfreehand::FHParser::_readCoordinate().

int32_t libfreehand::readS32 | ( | librevenge::RVNGInputStream * | input | ) |

int8_t libfreehand::readS8 | ( | librevenge::RVNGInputStream * | input | ) |

uint16_t libfreehand::readU16 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by libfreehand::FHParser::_readCoordinate(), libfreehand::FHParser::_readRecordId(), libfreehand::FHParser::parseDictionary(), libfreehand::FHParser::parseRecordList(), libfreehand::FHParser::readAGDFont(), libfreehand::FHParser::readAGDSelection(), libfreehand::FHParser::readBasicLine(), libfreehand::FHParser::readBlock(), libfreehand::FHParser::readBrushList(), libfreehand::FHParser::readConnectorLine(), libfreehand::FHParser::readContourFill(), libfreehand::FHParser::readCustomProc(), libfreehand::FHParser::readData(), libfreehand::FHParser::readDataList(), libfreehand::FHParser::readElemPropLst(), libfreehand::FHParser::readEnvelope(), libfreehand::FHParser::readFileDescriptor(), libfreehand::FHParser::readGraphicStyle(), libfreehand::FHParser::readGuides(), libfreehand::FHParser::readLinePat(), libfreehand::FHParser::readLineTable(), libfreehand::FHParser::readList(), libfreehand::FHParser::readMDict(), libfreehand::FHParser::readMList(), libfreehand::FHParser::readMName(), libfreehand::FHParser::readMQuickDict(), libfreehand::FHParser::readMString(), libfreehand::FHParser::readMultiBlend(), libfreehand::FHParser::readMultiColorList(), libfreehand::FHParser::readParagraph(), libfreehand::FHParser::readPath(), libfreehand::FHParser::readPolygonFigure(), libfreehand::FHParser::readPropLst(), libfreehand::FHParser::readRectangle(), readS16(), libfreehand::FHParser::readSpotColor6(), libfreehand::FHParser::readStylePropLst(), libfreehand::FHParser::readSymbolLibrary(), libfreehand::FHParser::readTabTable(), libfreehand::FHParser::readTEffect(), libfreehand::FHParser::readTextBlok(), libfreehand::FHParser::readTextColumn(), libfreehand::FHParser::readTextInPath(), libfreehand::FHParser::readTFOnPath(), libfreehand::FHParser::readTString(), libfreehand::FHParser::readUString(), libfreehand::FHParser::readVDict(), and libfreehand::FHParser::readVMpObj().

uint32_t libfreehand::readU32 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by libfreehand::FHParser::parse(), libfreehand::FHParser::parseRecordList(), readS32(), and libfreehand::FHParser::readTextInPath().

uint8_t libfreehand::readU8 | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by libfreehand::FHParser::parse(), libfreehand::FHParser::parseDictionary(), libfreehand::FHParser::readArrowPath(), libfreehand::FHParser::readBasicLine(), libfreehand::FHParser::readColor6(), libfreehand::FHParser::readExtrusion(), libfreehand::FHParser::readMasterPageLayerInstance(), libfreehand::FHParser::readMasterPageSymbolInstance(), libfreehand::FHParser::readMName(), libfreehand::FHParser::readMString(), libfreehand::FHParser::readOval(), libfreehand::FHParser::readPath(), libfreehand::FHParser::readPerspectiveGrid(), libfreehand::FHParser::readPolygonFigure(), readS8(), libfreehand::FHParser::readSymbolInstance(), and libfreehand::FHParser::readXform().